Subject: bug#77122: [PATCH] project--find-in-directory resolves symlinks

From: Dmitry Gutov <[email-masked]>
Date: Thu, 20 Mar 2025 04:15:49 +0200

Hi!

On 19/03/2025 18:55, Ship Mints wrote:
> This avoids duplicate projects accessed via symlinks that share resolved 
> directory locations.  This has bothered me for a while, so here we go.

Could you describe the reasons why your setup is the way it is?

Personally, I've never used symlinks at this level, and if I did, I'm 
not sure I would see the problem with project-root returning different 
strings for those.

What exactly is the problem? Having the "same" project multiple times in 
project history?

I can name a couple of (probably minor) downsides:

* The project detection would be slower (more disk I/O).
* project-root would more often return a string that is not a parent 
directory of default-directory. Some code out there probably 
soft-depends on that.